org.apache.xmlbeans

## Interface SchemaCodePrinter

- All Known Implementing Classes:
    SchemaTypeCodePrinter

      public interface SchemaCodePrinter

  This class is used to provide alternate implementations of the schema Java code generation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printHolder(Writer writer, SchemaTypeSystem system, XmlOptions opt, org.apache.xmlbeans.impl.repackage.Repackager repackager)`
    `default void` | `printType(Writer writer, SchemaType sType)` Deprecated.
    `default void` | `printType(Writer writer, SchemaType sType, XmlOptions opt)`
    `default void` | `printTypeImpl(Writer writer, SchemaType sType)` Deprecated.
    `default void` | `printTypeImpl(Writer writer, SchemaType sType, XmlOptions opt)`

- - ### Method Detail

    - #### printTypeImpl

          @Deprecated
          default void printTypeImpl(Writer writer,
                                                 SchemaType sType)
                                          throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### printTypeImpl

          default void printTypeImpl(Writer writer,
                                     SchemaType sType,
                                     XmlOptions opt)
                              throws IOException

      Throws:
        `IOException`

    - #### printType

          @Deprecated
          default void printType(Writer writer,
                                             SchemaType sType)
                                      throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### printType

          default void printType(Writer writer,
                                 SchemaType sType,
                                 XmlOptions opt)
                          throws IOException

      Throws:
        `IOException`

    - #### printHolder

          void printHolder(Writer writer,
                           SchemaTypeSystem system,
                           XmlOptions opt,
                           org.apache.xmlbeans.impl.repackage.Repackager repackager)
                    throws IOException

      Throws:
        `IOException`